<template>
  <div class="heroslider__item">
    <video-background
      v-if="
        item.directus_files_id && item.directus_files_id.type === 'video/mp4'
      "
      :src="`${$config.apiUrl}/assets/${item.directus_files_id.filename_disk}`"
      style="max-height: 100vh; height: 100vh"
    />

    <NuxtImg
      v-else-if="item.directus_files_id && item.directus_files_id.id"
      :src="`${$config.apiUrl}/assets/${item.directus_files_id.id}/${item.directus_files_id.title}`"
      ref="nuxtImg"
      responsive
      preload
      sizes="sm:100vw md:100vw lg:100vw xl:100vw xxl: 100vw"
      format="webp"
      :alt="item.directus_files_id.description || item.directus_files_id.title"
      @load="onImageLoad"
    />
  </div>
</template>

<script>
export default {
  props: {
    item: {
      type: Object,
      default: null,
    },
  },

  methods: {
    onImageLoad() {
      this.$nuxt.$emit('imageLoaded')
    },
  },
}
</script>

<style lang="scss" scoped>
.heroslider__item {
  width: 140%;
  height: 140%;
  background: black;

  @screen md {
    width: 140%;
    height: 100%;
  }
  max-height: 100vh;

  img {
    position: relative;
    max-width: none;
    width: 100%;
    height: 100%;
    max-height: 100vh;
    object-fit: cover;
  }
}
</style>
